#!/sbin/sh
# modrd.sh by ziddey
# attempts to apply franco's ramdisk mods to any ramdisk
# based on diff of factory krt16s ramdisk vs franco
# with check/mod for init.cm.rc

cp ../fkbootscript.sh sbin/
# init.mako.rc
sed "/#/! {/dev\/socket\/mpdecision/ s/^    /    #/g}" -i init.mako.rc
sed "/vibrator/ s/70/100/g" -i init.mako.rc
sed "/ondemand/ d" -i init.mako.rc
sed "/^on charger/,/^on / {/write/d}" -i init.mako.rc
# must use /class/ since +1 doesn't work with busybox sed:
sed "/#/! {/service thermald/,/class/ s/^/#/g}" -i init.mako.rc
sed "/#/! {/service mpdecision/,/class/ s/^/#/g}" -i init.mako.rc

sed "/service fkbootscript/,/gsm.sim.state=READY/ {/gsm.sim.state=READY/! d}" -i init.mako.rc
sed "/gsm.sim.state=READY/ i\\
service fkbootscript /sbin/fkbootscript.sh\\
    class late_start\\
	user root\\
	disabled\\
    oneshot\\
\\
on property:sys.boot_completed=1\\
	write /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor \"interactive\"\\
    write /sys/devices/system/cpu/cpu1/cpufreq/scaling_governor \"interactive\"\\
    write /sys/devices/system/cpu/cpu2/cpufreq/scaling_governor \"interactive\"\\
    write /sys/devices/system/cpu/cpu3/cpufreq/scaling_governor \"interactive\"\\
	start fkbootscript\\
	write /dev/cpuctl/apps/cpu.notify_on_migrate 1\\
" -i init.mako.rc


# init.rc
sed "/randomize_va_space/ s/2/0/g" -i init.rc
sed "/sys\/devices/ s/0660/0664/g" -i init.rc
if [ -e init.cm.rc ]; then
	sed "/sys\/devices/ s/0660/0664/g" -i init.cm.rc
else # cm should already have the following...
grep -q "scaling_governor" init.rc || sed "/chmod.*scaling_max_freq/ a\\
	chown system system /sys/devices/system/cpu/cpu0/cpufreq/scaling_min_freq\\
    chmod 0664 /sys/devices/system/cpu/cpu0/cpufreq/scaling_min_freq\\
	chown system system /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor\\
    chmod 0664 /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor" -i init.rc
fi
